PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Utilities (`pydl.pydlutils`) »
- read_fits_polygons

# read_fits_polygons

pydl.pydlutils.mangle.read_fits_polygons(filename, convert=False)

  Read a “polygon” format FITS file.

  This function returns a subclass of `FITS_rec` that provides some convenient aliases for the columns of a typical FITS polygon file (which might be all upper-case).

  Parameters
    filename `str`

      Name of FITS file to read.

    convert `bool`, optional

      If `True`, convert the data to a list of `ManglePolygon` objects. Caution: This could result in some data being discarded!

  Returns
    `FITS_polygon` or `list`

      The data contained in HDU 1 of the FITS file.